@import url("https://fonts.googleapis.com/css2?family=Fraunces:opsz,wght@9..144,700&family=Montserrat:wght@500;700&display=swap");

:root {
  --clr-primary-1: hsl(158, 36%, 37%);
  --clr-primary-2: hsl(30, 38%, 92%);

  --clr-neutral-3: hsl(212, 21%, 14%);
  --clr-neutral-4: hsl(228, 12%, 48%);
  --clr-neutral-5: hsl(0, 0%, 100%);

  --ff-primary: "Montserrat", sans-serif;
  --spacing: 0.1rem;
  --radius: 0.5rem;
  --transition: all 0.03s linear;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: var(--ff-primary);
  line-height: 1.5;
  font-size: 0.875rem;
  background: var(--clr-primary-2);
}
section {
  padding: 1.75rem 1rem;
}

.card {
  border-radius: var(--radius);
  overflow: hidden;
  background-color: var(--clr-neutral-5);
}

img:not(.cart) {
  width: 100%;
  object-fit: cover;
  display: block;
}

.product_info {
  padding: 1.75rem 1.5rem;
}
.product_info h4 {
  color: var(--clr-neutral-4);
  text-transform: uppercase;
  letter-spacing: 0.3rem;
  font-weight: 500;
}

.product_info h1 {
  color: var(--clr-neutral-3);
  text-transform: capitalize;
  font-weight: 700;
  font-family: "Fraunces";
  font-size: 1.75rem;
  line-height: 1;
  margin-top: 0.75rem;
  margin-bottom: 0.9rem;
}

.product_info p {
  color: var(--clr-neutral-4);
  line-height: 1.5;
  font-weight: 300;
  font-family: var(--ff-primary);
}

.price {
  display: flex;
  align-items: center;
  gap: 1.25rem;
  margin-top: 1.25rem;
}

.price h2 {
  color: var(--clr-primary-1);
  font-weight: 700;
  font-family: "Fraunces";
  font-size: 2rem;
}

.price p {
  text-decoration: line-through;
  color: var(--clr-neutral-4);
}

button {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  background: var(--clr-primary-1);
  gap: 0.75rem;
  padding: 0.8rem 0;
  border-color: transparent;
  border-radius: var(--radius);
}

button .add {
  text-transform: capitalize;
  color: var(--clr-neutral-5);
}

@media screen and (min-width: 1170px) {
  section {
    margin-top: 3rem;
  }

  .card {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr;
    max-width: 700px;
    height: 500px;
    margin: auto auto;
  }

  .image_container img {
    display: none;
  }

  .image_container {
    background: url("/images/image-product-desktop.jpg") center/cover no-repeat;
  }

  h1 {
    width: 11rem;
    line-height: 1.25;
  }

  .product_info {
    padding-left: 2rem;
  }

  .product_info > p {
    width: 15rem;
    margin-top: 3rem;
  }

  .price {
    margin-top: 3rem;
  }

  button {
    margin-top: 3rem;
  }
}
